## libkf5kdcraw 15.12.3

=== CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

project(libkdcraw)

message(STATUS "----------------------------------------------------------------------------------")
message(STATUS "Starting CMake configuration for: ${PROJECT_NAME}")

set(CMAKE_MIN_VERSION   "2.8.12")
set(ECM_MIN_VERSION     "1.1.0")
set(REQUIRED_QT_VERSION "5.2.0")
set(LIBRAW_MIN_VERSION  "0.16")

cmake_minimum_required(VERSION ${CMAKE_MIN_VERSION})

# ==================================================================================================
# Information to update before to release this library.

# Library version history:
# API      ABI
# 0.1.0 => 0.1.0  (KDE3)
# 0.1.1 => 1.0.0  (KDE3)
# 0.1.2 => 2.0.0  (KDE3)
# 0.1.3 => 2.1.0  (KDE3)
# 0.1.4 => 3.0.0  (KDE3)
# 0.1.5 => 4.0.0  (KDE3)
# 0.2.0 => 5.0.0  (released with KDE 4.1.0)
# 0.3.0 => 6.0.0  (released with KDE 4.1.2)
# 0.4.0 => 7.0.0  (using libRaw-Released with KDE 4.2.0)
# 0.5.0 => 7.1.0  (Released with KDE 4.3.0)
# 1.0.0 => 8.0.0  (Released with KDE 4.4.0)
# 1.1.0 => 8.1.0  (Released with KDE 4.4.2)
# 1.2.0 => 9.0.0  (Released with KDE 4.5.0)
# 1.3.0 => 10.0.0 (Released with KDE 4.6.0)
# 2.0.0 => 20.0.0 (Released with KDE 4.7.0)
# 2.0.1 => 20.0.1 (Released with KDE 4.8.0  - Introducing new deprecated members due to use libraw 0.14.x)
# 2.1.0 => 21.0.0 (Released with KDE 4.8.1  - Remove deprecated members)
# 2.2.0 => 22.0.0 (Released with KDE 4.10.0 - Including RawSpeed Codec)
# 2.3.0 => 22.1.0 (Released with KDE 4.11.0 - Including Coverity Report fixes)
# 2.3.1 => 22.1.1 (Released with KDE 4.11.2 - Including settings widget fixes)
# 2.4.0 => 23.0.2 (Released with KDE 4.12.0 - Drop internal Libraw source code + new methods to get thumb and preview from QBuffer)
# 5.0.0 => 30.0.0 (Released with KDE 5.x)

# Library API version
SET(KDCRAW_LIB_MAJOR_VERSION "5")
SET(KDCRAW_LIB_MINOR_VERSION "0")
SET(KDCRAW_LIB_PATCH_VERSION "0")

# Library ABI version used by linker.
# For details : http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
SET(KDCRAW_LIB_SO_CUR_VERSION "30")
SET(KDCRAW_LIB_SO_REV_VERSION "0")
SET(KDCRAW_LIB_SO_AGE_VERSION "0")

SET(LIBKDCRAW_LIB_VERSION "${KDCRAW_LIB_MAJOR_VERSION}.${KDCRAW_LIB_MINOR_VERSION}.${KDCRAW_LIB_PATCH_VERSION}")
SET(LIBDCRAW_SO_VERSION   "${KDCRAW_LIB_SO_CUR_VERSION}.${KDCRAW_LIB_SO_REV_VERSION}.${KDCRAW_LIB_SO_AGE_VERSION}")

############## ECM setup ######################

find_package(ECM ${ECM_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${libkdcraw_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(KDEInstallDirs)
include(ECMInstallIcons)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(GenerateExportHeader)
include(FeatureSummary)

############## Find Packages ###################

find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS
             Core
             Gui
)

find_package(LibRaw ${LIBRAW_MIN_VERSION} REQUIRED)
set_package_properties("LibRaw"    PROPERTIES
                       DESCRIPTION "Required to build libkdcraw"
                       URL         "http://www.libraw.org"
                       TYPE        RECOMMENDED
                       PURPOSE     "Library to decode RAW image"
)

ecm_setup_version(${LIBKDCRAW_LIB_VERSION}
                  VARIABLE_PREFIX      KDCRAW
                  VERSION_HEADER       "src/libkdcraw_version.h"
                  PACKAGE_VERSION_FILE "KF5KDcrawConfigVersion.cmake"
                  SOVERSION            ${LIBKDCRAW_SO_VERSION})

############## Targets #########################

add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

############## CMake Config Files ##############

message("${CMAKECONFIG_INSTALL_DIR}")
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5KDcraw")

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/templates/KF5KDcrawConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5KDcrawConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KF5KDcrawConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KF5KDcrawConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT   Devel
)

install(EXPORT      KF5KDcrawTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE        KF5KDcrawTargets.cmake
        NAMESPACE   KF5::
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
libkf5kdcraw (15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:18:20 -0700

libkf5kdcraw (15.12.1-0ubuntu1) xenial; urgency=medium

  [ Philip Muškovac ]
  * New upstream release 

  [ Clive Johnston ]
  * Adding new build deps
  * Bumping /usr/share/pkg-kde-tools/qt-kde-team/2 to 3  

  [ Scarlett Clark ]
  * Debian merge: No remaining changes.
  * New upstream release. 
  * Rename to libkf5kdcraw to coexist with qt4 version following debian. 
  * Drop epoch due to rename.
  * Fix changelog entry order. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:27:29 +0100

libkf5kdcraw (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:50 +0100

libkdcraw (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:55:39 +0100

libkdcraw (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:38:51 +0100

libkdcraw (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.08.0).
  * Remove upstream patch: libraw0.16.1_compatibility.diff

 -- Maximiliano Curia <maxy@debian.org>  Sun, 30 Aug 2015 22:30:31 +0200

libkdcraw (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:45:11 +0100

libkdcraw (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:23:03 +0100

libkdcraw (4:15.04.3-1) unstable; urgency=medium

  * Upload to unstable

  [ Maximiliano Curia ]
  * New upstream release (15.04.0).

  [ Scott Kitterman ]
  * Urgency high for RC bug fix
  * Add debian/patches/libraw0.16.1_compatibility.diff from upstream to fix
    compatibility issues with libraw 0.16.1 and later (Closes: #788975)
    - Bump mimimum libraw version in debian/control

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 29 Jul 2015 00:33:19 -0400

libkdcraw (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Increase kdelib version
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

  [ José Manuel Santamaría Lema ]
  * Add upstream_libraw-0.16.1-needs-exceptions.patch in order to avoid
    FTBFS'ing because of latest libraw.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:42:42 +0200

libkdcraw (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:20:10 -0700

libkdcraw (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Feb 2015 08:52:34 +0100

libkdcraw (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with
    remote site does not even have current version

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:35:49 -0800

libkdcraw (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 15:40:31 +0100

libkdcraw (4:14.11.97-0ubuntu1) vivid; urgency=medium

  [ Philip Muškovac ]
  * New upstream release candidate.
  * Fix watch urls for new release location.
  * Update Vcs urls for the new repository location.
  * Bump Standards-Version to 3.9.6, no changes needed.

  [ Jonathan Riddell ]
  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Dec 2014 13:19:29 +0100

libkdcraw (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 19:54:32 +0200

libkdcraw (4:4.13.1-2) unstable; urgency=medium

  * Drop obsolete cmake option -DENABLE_LCMS2=ON as that's now the only
    supported version. (Closes: #749933) Thanks to Jonathan Riddell

 -- Maximiliano Curia <maxy@debian.org>  Sat, 26 Jul 2014 19:15:59 +0200

libkdcraw (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 May 2014 20:14:23 +0200

libkdcraw (4:4.12.3-2) unstable; urgency=medium

  * Remove libraw references from copyright file.
  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 13 May 2014 15:59:58 +0200

libkdcraw (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.
  * New upstream release.
  * Remove patch: libkdcraw_CVE-2013-143x.diff, upstream removed
    embedded libraw code.
  * Add libraw-dev as build-dep.
  * Soversion bump for libkdcraw.
  * Update install files.
  * Add symbols file for the new soversion.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:47 +0100

libkdcraw (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Enable build failures on missing symbols.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Do not disable an empty test set.
  * Add autopkgtests.
  * Add abi-compliance-checker info.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Jan 2014 13:45:09 -0300

libkdcraw (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 12:38:19 +0100

libkdcraw (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Remove patches already applied by upstream.
  * Update symbols file.
  * Update lintian-override.
  * Refresh patch.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 12:14:38 +0200

libkdcraw (4:4.10.5-2) unstable; urgency=low

  * Team upload.
  * Add libkdcraw_CVE-2013-143x.diff to fix multiple vulnerabilities
    (Closes: #721239, #721340).
    - CVE-2013-1438.
    - CVE-2013-1439.


=== debian/control ===
Source: libkf5kdcraw
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.1.0~),
               libraw-dev (>= 0.16.1),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkdcraw.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkdcraw.git

Package: libkf5kdcraw5
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: RAW picture decoding library
 Libkdcraw is a Qt interface to the libraw library used to decode
 RAW picture files.
 .
 This library is used by kipi-plugins, digiKam, kphotoalbum, and krita.
 .
 This package contains the shared library.

Package: libkf5kdcraw-dev
Section: libdevel
Architecture: any
Depends: libkf5kdcraw5 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends}
Description: RAW picture decoding library -- development files
 Libkdcraw is a Qt interface to the libraw library used to decode
 RAW picture files.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kdcraw.h header file.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkdcraw-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/libkdcraw-([\d.]+).tar.xz

## libkf5kdcraw 16.04.0

=== debian/changelog ===
libkf5kdcraw (16.04.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 13:01:57 +0200

libkf5kdcraw (16.04.0-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 May 2016 08:56:05 +0200

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,15 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkdcraw.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkdcraw.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkdcraw.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkdcraw.git
 
 Package: libkf5kdcraw5
 Section: libs
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: RAW picture decoding library
  Libkdcraw is a Qt interface to the libraw library used to decode
  RAW picture files.
@@ -32,9 +31,7 @@
 Package: libkf5kdcraw-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kdcraw5 (= ${binary:Version}),
-         pkg-config,
-         ${misc:Depends}
+Depends: libkf5kdcraw5 (= ${binary:Version}), pkg-config, ${misc:Depends}
 Description: RAW picture decoding library -- development files
  Libkdcraw is a Qt interface to the libraw library used to decode
  RAW picture files.

## libkf5kdcraw 16.04.3

=== debian/changelog ===
libkf5kdcraw (16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:47:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,22 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.1.0~),
+               extra-cmake-modules (>= 5.24.0~),
                libraw-dev (>= 0.16.1),
                libx11-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.2.0~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkdcraw.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkdcraw.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdcraw
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdcraw
 
 Package: libkf5kdcraw5
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: RAW picture decoding library
  Libkdcraw is a Qt interface to the libraw library used to decode
  RAW picture files.

## libkf5kdcraw 16.12.3

=== debian/changelog ===
libkf5kdcraw (16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:30:54 +0000

libkf5kdcraw (16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:19:51 +0000

## libkf5kdcraw 17.04.3

=== debian/changelog ===
libkf5kdcraw (17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:35:28 +0100

## libkf5kdcraw 17.12.3

=== debian/changelog ===
libkf5kdcraw (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:32:29 +0000

libkf5kdcraw (17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:02:12 +0000

libkf5kdcraw (17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:11:57 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
+               extra-cmake-modules (>= 5.31.0~),
                libraw-dev (>= 0.16.1),
                libx11-dev,
                pkg-config,
@@ -14,7 +14,7 @@
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdcraw
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdcraw
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdcraw
 
 Package: libkf5kdcraw5
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_shlibdeps:
	$(overridden_command) $(foreach p,$(shell dh_listpackages | grep ^lib),-p$p) -- -xkde-runtime
	$(overridden_command) --remaining-packages

=== debian/tests/control ===
# Tests: testsuite
# Depends: @, @builddeps@, build-essential,
#          xvfb, xauth, dbus-x11,
#          texlive-latex-base
# Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

## libkf5kdcraw 18.04.3

=== debian/changelog ===
libkf5kdcraw (18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:22:30 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libx11-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdcraw

## libkf5kdcraw 18.08.0

=== debian/changelog ===
libkf5kdcraw (18.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the libraw-dev build dependency to >= 0.18, as indicated by the
    upstream build system.
  * Backport upstream commit f40ebe30dca1cfadc8171364ac325532e6c3f229 to fix
    build with libraw >= 0.19; patch upstream_Fix-build-with-libraw-0.19.patch.
    (Closes: #905035)
  * Fix typo in the version dependency of the symbols file.
  * Bump Standards-Version to 4.2.1, no changes required.
  * Use https for Format in copyright.
  * Mark libkf5kdcraw5 as "Multi-Arch: same".

 -- Pino Toscano <pino@debian.org>  Tue, 04 Sep 2018 22:59:21 +0200

libkf5kdcraw (17.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove kde-runtime exclusion from shlibdeps, since it is no more injected
    automatically.
  * Remove pkg-config dependency in libkf5kdcraw-dev, since it is no more
    needed now.
  * Remove the gwenview, and kdegraphics-thumbnailers breaks in libkf5kdcraw5,
    since they are not needed.

 -- Pino Toscano <pino@debian.org>  Mon, 18 Dec 2017 16:13:30 +0100

libkf5kdcraw (17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Bump group breaks (17.08)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 22:41:23 +0200

libkf5kdcraw (17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:04:14 +0000

libkf5kdcraw (17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:42:43 +0000

libkf5kdcraw (17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:24:40 +0000

libkf5kdcraw (17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:24:20 +0000

libkf5kdcraw (17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:24:49 +0000

libkf5kdcraw (16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:50:51 +0000

libkf5kdcraw (16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:03:11 +0000

libkf5kdcraw (16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:24:32 +0000

libkf5kdcraw (16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:31:57 +0000

libkf5kdcraw (16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:54:51 +0000

libkf5kdcraw (16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:41:06 +0000

libkf5kdcraw (16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:10 +0000

libkf5kdcraw (16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:50:24 +0000

libkf5kdcraw (16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:37:12 +0000

libkf5kdcraw (16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 15 Jun 2016 14:45:47 +0000

libkf5kdcraw (16.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 May 2016 11:28:29 +0000

=== debian/control ===
Source: libkf5kdcraw
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.1.0~),
               libraw-dev (>= 0.18),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
Standards-Version: 4.2.1
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdcraw
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdcraw.git

Package: libkf5kdcraw-dev
Section: libdevel
Architecture: any
Depends: libkf5kdcraw5 (= ${binary:Version}), ${misc:Depends}
Description: RAW picture decoding library -- development files
 Libkdcraw is a Qt interface to the libraw library used to decode
 RAW picture files.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kdcraw.h header file.

Package: libkf5kdcraw5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: RAW picture decoding library
 Libkdcraw is a Qt interface to the libraw library used to decode
 RAW picture files.
 .
 This library is used by kipi-plugins, digiKam, kphotoalbum, and krita.
 .
 This package contains the shared library.

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Tests: testsuite
 # Depends: @, @builddeps@, build-essential,
-#          xvfb, xauth, dbus-x11,
+#          xvfb, xauth, dbus,
 #          texlive-latex-base
 # Restrictions: build-needed

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/applications/([\d.]+)/src/libkdcraw-([\d.]+)\.tar\.xz

## libkf5kdcraw 18.12.3

=== debian/changelog ===
libkf5kdcraw (18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:34:21 +0000

libkf5kdcraw (18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:21:22 +0000

libkf5kdcraw (18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:14:58 +0000

libkf5kdcraw (18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:53:13 +0000

libkf5kdcraw (18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - Drop upstream applied patch for libraw 0.19.
    - Pass fno-keep-inline-functions to acc test.
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 13 Dec 2018 09:00:12 +0000

libkf5kdcraw (18.04.3-0ubuntu3) disco; urgency=medium

  * Add upstream patch to fix build with libraw 0.19.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Nov 2018 21:59:10 +0000

libkf5kdcraw (18.04.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild against latest libraw

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 09 Nov 2018 16:36:11 -0500

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.1.0~),
-               libraw-dev (>= 0.18),
+               extra-cmake-modules (>= 5.31.0~),
+               libraw-dev (>= 0.16.1),
                libx11-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.2.0~),
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 4.2.1
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdcraw
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdcraw.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdcraw
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdcraw
 
 Package: libkf5kdcraw-dev
 Section: libdevel

## libkf5kdcraw 19.04.3

=== debian/changelog ===
libkf5kdcraw (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:20:01 +0100

libkf5kdcraw (19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:14:28 +0100

libkf5kdcraw (19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:03:33 +0100

libkf5kdcraw (19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:49:16 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
 Package: libkf5kdcraw-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kdcraw5 (= ${binary:Version}), ${misc:Depends}
+Depends: libkf5kdcraw5 (= ${binary:Version}),
+         ${misc:Depends},
 Description: RAW picture decoding library -- development files
  Libkdcraw is a Qt interface to the libraw library used to decode
  RAW picture files.

## libkf5kdcraw 19.08.1

=== debian/changelog ===
libkf5kdcraw (19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Switch from dhmk to dh with kf5 & pkgkde_symbolshelper addons, and
    as-needed linking.
  * Update the patches:
    - upstream_Fix-build-with-libraw-0.19.patch: drop, backported from upstream
  * Drop unused 'testsuite' autopkgtest.
  * Add Build-Depends-Package in symbols file.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Sep 2019 09:39:53 +0200

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,22 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libraw-dev (>= 0.16.1),
+               debhelper (>= 11~),
+               extra-cmake-modules (>= 1.1.0~),
+               libraw-dev (>= 0.18),
                libx11-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~),
-Standards-Version: 4.2.1
+               qtbase5-dev (>= 5.2.0~),
+Standards-Version: 4.4.0
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdcraw
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdcraw
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdcraw
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdcraw.git
 
 Package: libkf5kdcraw-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kdcraw5 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libkf5kdcraw5 (= ${binary:Version}), ${misc:Depends}
 Description: RAW picture decoding library -- development files
  Libkdcraw is a Qt interface to the libraw library used to decode
  RAW picture files.

## libkf5kdcraw 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 set(CMAKE_MIN_VERSION   "2.8.12")
 set(ECM_MIN_VERSION     "1.1.0")
 set(REQUIRED_QT_VERSION "5.2.0")
-set(LIBRAW_MIN_VERSION  "0.16")
+set(LIBRAW_MIN_VERSION  "0.18")
 
 cmake_minimum_required(VERSION ${CMAKE_MIN_VERSION})
 
@@ -42,21 +42,15 @@
 # 2.3.0 => 22.1.0 (Released with KDE 4.11.0 - Including Coverity Report fixes)
 # 2.3.1 => 22.1.1 (Released with KDE 4.11.2 - Including settings widget fixes)
 # 2.4.0 => 23.0.2 (Released with KDE 4.12.0 - Drop internal Libraw source code + new methods to get thumb and preview from QBuffer)
-# 5.0.0 => 30.0.0 (Released with KDE 5.x)
+# 5.0.0 => 5      (Released with KDE Applications)
 
 # Library API version
 SET(KDCRAW_LIB_MAJOR_VERSION "5")
 SET(KDCRAW_LIB_MINOR_VERSION "0")
 SET(KDCRAW_LIB_PATCH_VERSION "0")
 
-# Library ABI version used by linker.
-# For details : http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
-SET(KDCRAW_LIB_SO_CUR_VERSION "30")
-SET(KDCRAW_LIB_SO_REV_VERSION "0")
-SET(KDCRAW_LIB_SO_AGE_VERSION "0")
-
 SET(LIBKDCRAW_LIB_VERSION "${KDCRAW_LIB_MAJOR_VERSION}.${KDCRAW_LIB_MINOR_VERSION}.${KDCRAW_LIB_PATCH_VERSION}")
-SET(LIBDCRAW_SO_VERSION   "${KDCRAW_LIB_SO_CUR_VERSION}.${KDCRAW_LIB_SO_REV_VERSION}.${KDCRAW_LIB_SO_AGE_VERSION}")
+SET(LIBKDCRAW_SO_VERSION   5)
 
 ############## ECM setup ######################
 
@@ -71,7 +65,7 @@
 include(KDEInstallDirs)
 include(ECMInstallIcons)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(GenerateExportHeader)
 include(FeatureSummary)

=== debian/changelog ===
libkf5kdcraw (19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:16:42 +0000

libkf5kdcraw (19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:25:51 +0000

libkf5kdcraw (19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 15:00:11 +0000

libkf5kdcraw (19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:53:51 +0000

libkf5kdcraw (19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:38:26 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
 Package: libkf5kdcraw-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kdcraw5 (= ${binary:Version}), ${misc:Depends}
+Depends: libkf5kdcraw5 (= ${binary:Version}),
+         ${misc:Depends},
 Description: RAW picture decoding library -- development files
  Libkdcraw is a Qt interface to the libraw library used to decode
  RAW picture files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper

## libkf5kdcraw 20.08.1

=== debian/changelog ===
libkf5kdcraw (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:00:55 +0100

libkf5kdcraw (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:52:40 +0100

libkf5kdcraw (20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Aug 2020 17:01:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 1.1.0~),
                libraw-dev (>= 0.18),
                libx11-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~),
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdcraw
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdcraw.git

## libkf5kdcraw 20.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -79,7 +79,7 @@
 find_package(LibRaw ${LIBRAW_MIN_VERSION} REQUIRED)
 set_package_properties("LibRaw"    PROPERTIES
                        DESCRIPTION "Required to build libkdcraw"
-                       URL         "http://www.libraw.org"
+                       URL         "https://www.libraw.org"
                        TYPE        RECOMMENDED
                        PURPOSE     "Library to decode RAW image"
 )

=== src/CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

kde_enable_exceptions()

include_directories(${LibRaw_INCLUDE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)

add_definitions(${LibRaw_DEFINITIONS})

set(kdcraw_LIB_SRCS kdcraw.cpp
                    kdcraw_p.cpp
                    dcrawinfocontainer.cpp
                    rawdecodingsettings.cpp
                    libkdcraw_debug.cpp
)

ecm_generate_headers(kdcraw_CamelCase_HEADERS

                     HEADER_NAMES
                     KDcraw
                     DcrawInfoContainer
                     RawDecodingSettings
                     RawFiles

                     PREFIX           KDCRAW
                     REQUIRED_HEADERS kdcraw_HEADERS
)

add_library(KF5KDcraw SHARED ${kdcraw_LIB_SRCS})
add_library(KF5::KDcraw ALIAS KF5KDcraw)

generate_export_header(KF5KDcraw BASE_NAME libkdcraw EXPORT_MACRO_NAME LIBKDCRAW_EXPORT)

set(CMAKE_INCLUDE_CURRENT_DIR_IN_INTERFACE OFF)

target_include_directories(KF5KDcraw INTERFACE
                           "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KDCRAW;${KF5_INCLUDE_INSTALL_DIR}/KDCRAW/kdcraw>"
                           "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
)

target_link_libraries(KF5KDcraw
                      PRIVATE
                      ${LibRaw_LIBRARIES}
                      PUBLIC
                      Qt5::Core
                      Qt5::Gui
)

set_target_properties(KF5KDcraw   PROPERTIES
                      VERSION     ${KDCRAW_VERSION_STRING}
                      SOVERSION   ${KDCRAW_SOVERSION}
                      EXPORT_NAME KDcraw
)

install(TARGETS KF5KDcraw
        EXPORT  KF5KDcrawTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES       ${kdcraw_CamelCase_HEADERS}
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KDCRAW/KDCRAW
        COMPONENT   Devel
)

install(FILES       ${kdcraw_HEADERS}
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KDCRAW/kdcraw
        COMPONENT   Devel
)

install(FILES       ${CMAKE_CURRENT_BINARY_DIR}/libkdcraw_export.h
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KDCRAW/kdcraw
        COMPONENT   Devel
)

install(FILES       "${CMAKE_CURRENT_BINARY_DIR}/libkdcraw_version.h"
        DESTINATION "${KF5_INCLUDE_INSTALL_DIR}"
        COMPONENT   Devel
)

=== debian/changelog ===
libkf5kdcraw (20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Bump debhelper compatibility level to 13.
  * Update project homepage.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 27 Dec 2020 01:29:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,25 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 1.1.0~),
                libraw-dev (>= 0.18),
                libx11-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://www.kde.org/
+Homepage: https://invent.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdcraw
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdcraw.git
 
 Package: libkf5kdcraw-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kdcraw5 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libkf5kdcraw5 (= ${binary:Version}), ${misc:Depends}
 Description: RAW picture decoding library -- development files
  Libkdcraw is a Qt interface to the libraw library used to decode
  RAW picture files.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

=== debian/tests/control ===
Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

## libkf5kdcraw 20.12.3

=== debian/changelog ===
libkf5kdcraw (20.12.3-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild to pick up new libraw soname

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 05 Mar 2021 12:32:55 +0100

libkf5kdcraw (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:28:03 +0000

libkf5kdcraw (20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:01:29 +0000

libkf5kdcraw (20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:15:02 +0000

## libkf5kdcraw 21.08.0

=== debian/changelog ===
libkf5kdcraw (21.08.0-1deepin1) unstable; urgency=medium

  * fix: libraw has changed its api so compilation of this package is
    prevented

 -- sisungo <sisungo@icloud.com>  Sun, 21 Sep 2025 15:54:08 +0800

libkf5kdcraw (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:36:07 +0900

libkf5kdcraw (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 13:01:07 +0900

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: libkf5kdcraw
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 2.8.12~),
+           Norbert Preining <norbert@preining.info>,
+Build-Depends: cmake (>= 3.5.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 1.1.0~),
+               extra-cmake-modules (>= 5.80.0~),
                libraw-dev (>= 0.18),
                libx11-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.2.0~),
+               qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/

## libkf5kdcraw 21.08.1

=== debian/changelog ===
libkf5kdcraw (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:40:03 +0100

libkf5kdcraw (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:09:40 +0100

libkf5kdcraw (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:04:02 +0100

libkf5kdcraw (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:39:14 +0100

libkf5kdcraw (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:50:55 +0100

libkf5kdcraw (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:48:15 +0100

libkf5kdcraw (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:14:36 +0100

libkf5kdcraw (21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:45:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: libkf5kdcraw
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.5.0~),
+Build-Depends: cmake (>= 2.8.12~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 1.1.0~),
                libraw-dev (>= 0.18),
                libx11-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.15.0~),
+               qtbase5-dev (>= 5.2.0~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/
@@ -21,7 +20,8 @@
 Package: libkf5kdcraw-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kdcraw5 (= ${binary:Version}), ${misc:Depends}
+Depends: libkf5kdcraw5 (= ${binary:Version}),
+         ${misc:Depends},
 Description: RAW picture decoding library -- development files
  Libkdcraw is a Qt interface to the libraw library used to decode
  RAW picture files.
